Bug 1548200 - drupal: External link injection on 404 pages when linking to the current page
Summary: drupal: External link injection on 404 pages when linking to the current page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180221,repor...
Depends On: 1548201 1548202
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-23 00:08 UTC by Laura Pardo
Modified: 2019-06-08 22:42 UTC (History)
5 users (show)

Fixed In Version: drupal 7.57
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-25 15:02:03 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-02-23 00:08:11 UTC
A flaw was found in Drupal 7. Drupal core has an external link injection vulnerability when the language switcher block is used. A similar vulnerability exists in various custom and contributed modules. This vulnerability could allow an attacker to trick users into unwillingly navigating to an external site.


References:
https://www.drupal.org/sa-core-2018-001

Comment 1 Laura Pardo 2018-02-23 00:09:06 UTC
Created drupal7 tracking bugs for this issue:

Affects: epel-all [bug 1548201]
Affects: fedora-all [bug 1548202]

Comment 2 Shawn Iwinski 2019-02-23 07:51:28 UTC
All dependent bugs have been closed.  Can this tracking bug be closed as well?

Comment 3 Laura Pardo 2019-02-25 15:02:03 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this tracking bug be closed as
> well?

Yes, I'm closing this

Comment 4 Fedora Update System 2019-03-12 21:47:42 UTC
drupal6-6.38-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.